> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Object detection



## OpenAPI

````yaml /api-reference/openapi.json post /v1/images/object-detection
openapi: 3.1.0
info:
  title: SynapsAI Inference API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/images/object-detection:
    post:
      summary: Object detection
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjectDetectionRequest'
      responses:
        '200':
          description: List of detected objects with labels, scores and boxes
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    label:
                      type: string
                    score:
                      type: number
                    box:
                      type: array
                      items:
                        type: object
                        properties:
                          xmin:
                            type: integer
                          ymin:
                            type: integer
                          xmax:
                            type: integer
                          ymax:
                            type: integer
components:
  schemas:
    ObjectDetectionRequest:
      allOf:
        - type: object
          description: Request to detect objects in one or more images.
          properties:
            inputs:
              oneOf:
                - type: string
                - type: array
                  items: {}
                - type: string
                  format: binary
              description: >-
                Image(s) to run object detection on (URL, base64, object or
                binary). Required.
            threshold:
              type: number
              default: 0.5
              description: Minimum confidence score required to include detected objects.
            timeout:
              type: number
              nullable: true
              description: >-
                Maximum time in seconds to wait for external resources or
                processing.
          required:
            - inputs

````